Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Fri, 09 Nov 2018 10:13:05 +0100

> The only problem is that I can't decide what window to use for
 > window-in-direction and split-window in display-buffer-overriding-action:
 > an original window that was selected at the moment of ‘S-M-up’ invocation,
 > or a selected window that is current at the moment when
 > display-buffer-overriding-action is applied?  Please see
 > the questions in the comments of this patch:

Shouldn't (selected-window) be actually (minibuffer-selected-window)
in these cases anyway?  Otherwise, we probably should invent two
scenarios where either of the above would be preferable so we can make
a decision.

 > +  "Display the next buffer in the window at direction DIR.
 > +Create a new window if there is no window in that direction.
 > +If prefix ARG is `C-u' or `M--', restore the previously selected window.
 > +With no prefix ARG, or with prefix ARG equal to zero, a displayed window is
 > +relative to the position of point in the selected window; otherwise it is
 > +relative to the first edge (for positive ARG or `C-u') or the last edge
 > +(for negative ARG or `M--') of the selected window."

What does "otherwise" stand for here?  (I'm afraid your prefix
arguments are slowly getting over my head.)

martin